org.hibernate.search.backend.impl.lucene

## Class LuceneBackendResources

- java.lang.Object
- - org.hibernate.search.backend.impl.lucene.LuceneBackendResources

-     public final class LuceneBackendResources
      extends Object

  Collects all resources needed to apply changes to one index, and are reused across several WorkQueues.
  Author:
    Sanne Grinovero

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushAndReleaseResources()`
    `ErrorHandler` | `getErrorHandler()`
    `Lock` | `getExclusiveModificationLock()`
    `IndexManager` | `getIndexManager()`
    `String` | `getIndexName()`
    `int` | `getMaxQueueLength()`
    `Lock` | `getParallelModificationLock()`
    `AbstractWorkspaceImpl` | `getWorkspace()`
    `IndexWorkVisitor<Void,LuceneWorkExecutor>` | `getWorkVisitor()`
    `LuceneBackendResources` | `onTheFlyRebuild()` Creates a replacement for this same LuceneBackendResources: reuses the existing locks and executors (which can't be reconfigured on the fly), reuses the same Workspace and ErrorHandler, but will use a new LuceneWorkVisitor.
    `void` | `shutdown()`
    `void` | `submitToAsyncIndexingExecutor(org.hibernate.search.backend.impl.lucene.LuceneBackendQueueTask luceneBackendQueueProcessor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMaxQueueLength

          public int getMaxQueueLength()

    - #### getIndexName

          public String getIndexName()

    - #### getIndexManager

          public IndexManager getIndexManager()

    - #### getWorkVisitor

          public IndexWorkVisitor<Void,LuceneWorkExecutor> getWorkVisitor()

    - #### getWorkspace

          public AbstractWorkspaceImpl getWorkspace()

    - #### shutdown

          public void shutdown()

    - #### getErrorHandler

          public ErrorHandler getErrorHandler()

    - #### getParallelModificationLock

          public Lock getParallelModificationLock()

    - #### getExclusiveModificationLock

          public Lock getExclusiveModificationLock()

    - #### onTheFlyRebuild

          public LuceneBackendResources onTheFlyRebuild()

      Creates a replacement for this same LuceneBackendResources: reuses the existing locks and executors (which can't be reconfigured on the fly), reuses the same Workspace and ErrorHandler, but will use a new LuceneWorkVisitor. The LuceneWorkVisitor contains the strategies we use to apply update operations on the index, and we might need to change them after the backend is started.
      Returns:
        the new LuceneBackendResources to replace this one.

    - #### flushAndReleaseResources

          public void flushAndReleaseResources()

    - #### submitToAsyncIndexingExecutor

          public void submitToAsyncIndexingExecutor(org.hibernate.search.backend.impl.lucene.LuceneBackendQueueTask luceneBackendQueueProcessor)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved